diff --git a/suite/tests/client-interface/timer.dll.c b/suite/tests/client-interface/timer.dll.c
index 5b5e4b4920..5702b982b8 100644
--- a/suite/tests/client-interface/timer.dll.c
+++ b/suite/tests/client-interface/timer.dll.c
@@ -34,7 +34,11 @@
 #include "dr_api.h"
 #ifdef UNIX
 # include <sys/time.h>
-# include <syscall.h>
+# ifdef MACOS
+#  include <sys/syscall.h>
+# else
+#  include <syscall.h>
+# endif
 #else
 # error NYI
 #endif
